Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.style
Class RtfStylesheetList

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.style.RtfStylesheetList

All Implemented Interfaces:
  RtfBasicElement, RtfExtendedElement

    public class RtfStylesheetList

extends RtfElement
implements RtfExtendedElement

The RtfStylesheetList stores the RtfParagraphStyles that are used in the document.

Version:
  $Id: RtfStylesheetList.java 2996 2007-11-20 22:40:36Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`private boolean` | `defaultsLoaded` Whether the default settings have been loaded.
`private HashMap` | `styleMap` The HashMap containing the RtfParagraphStyles.

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfStylesheetList(RtfDocument doc)` Constructs a new RtfStylesheetList for the RtfDocument.

Method Summary
`RtfParagraphStyle` | `getRtfParagraphStyle(String styleName)` Gets the RtfParagraphStyle with the given name.
`private void` | `registerDefaultStyles()` Registers all default styles.
`void` | `registerParagraphStyle(RtfParagraphStyle rtfParagraphStyle)` Register a RtfParagraphStyle with this RtfStylesheetList.
`byte[]` | `write()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeContent(OutputStream out)` unused
`byte[]` | `writeDefinition()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeDefinition(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeDefinition(OutputStream result)` Writes the definition of the stylesheet list.

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement
`setInHeader, setInTable, setRtfDocument`

Field Detail

### styleMap

    private HashMap styleMap

  The HashMap containing the RtfParagraphStyles.

### defaultsLoaded

    private boolean defaultsLoaded

  Whether the default settings have been loaded.

Constructor Detail

### RtfStylesheetList

    public RtfStylesheetList(RtfDocument doc)

  Constructs a new RtfStylesheetList for the RtfDocument.

  Parameters:
    `doc` - The RtfDocument this RtfStylesheetList belongs to.

Method Detail

### write

    public byte[] write()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0

  unused

  Specified by:
    `write` in interface `RtfBasicElement`
  Specified by:
    `write` in class `RtfElement`
  Returns:
    An empty byte array

### writeContent

    public void writeContent(OutputStream out)
                      throws IOException

  unused

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Overrides:
    `writeContent` in class `RtfElement`
  Throws:
    `IOException`

### registerParagraphStyle

    public void registerParagraphStyle(RtfParagraphStyle rtfParagraphStyle)

  Register a RtfParagraphStyle with this RtfStylesheetList.

  Parameters:
    `rtfParagraphStyle` - The RtfParagraphStyle to add.

### registerDefaultStyles

    private void registerDefaultStyles()

  Registers all default styles. If styles with the given name have already been registered, then they are NOT overwritten.

### getRtfParagraphStyle

    public RtfParagraphStyle getRtfParagraphStyle(String styleName)

  Gets the RtfParagraphStyle with the given name. Makes sure that the defaults have been loaded.

  Parameters:
    `styleName` - The name of the RtfParagraphStyle to get.
  Returns:
    The RtfParagraphStyle with the given name or null.

### writeDefinition

    public byte[] writeDefinition()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeDefinition(OutputStream)`, scheduled for removal at or after 2.1.0

  Writes the definition of the stylesheet list.

  Specified by:
    `writeDefinition` in interface `RtfExtendedElement`
  Returns:
    A byte array containing the definition data of the Element

### writeDefinition

    public void writeDefinition(OutputStream result)
                         throws IOException

  Writes the definition of the stylesheet list.

  Specified by:
    `writeDefinition` in interface `RtfExtendedElement`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD